<?php

namespace ProudNerds\PostTypes;

/**
 * Class: AbstractPostType
 *
 * Defines the class template for custom post type classes.
 */
abstract class AbstractPostType {
    public static function factory(): static {
        return new static();
    }

    protected function __construct() {
        $this->init();
    }

    abstract protected function init();
}